Difference between revisions of "Installation/lt"

From Gramps
Jump to: navigation, search
(Paprastas GRAMPS parsisiuntimas ir įdiegimas)
 
(32 intermediate revisions by 4 users not shown)
Line 2: Line 2:
  
 
==Live CD==
 
==Live CD==
Jei jus domina GRAMPS programa, bet jums nepavyksta ar negalite jos įdiegti (ne jūsų AK, OS „Windows“, neturite interneto namuose, darbinis nešiojamasis kompiuteris, ...), tuomet išbandykite mūsų [[Linux Genealogy CD]]. Jis pasileidžia be diegimo į kompiuterį ir turi pilną genealogijos programų paketą – atviro kodo, nemokamą. Yra galimybė iš šio kompaktinio disko įdiegti OS Linux [http://ubuntu.com Ubuntu 8.04] ir GRAMPS į kompiuterį bet kada, kai tik to panorėsite.
+
Jei jus domina GRAMPS programa, bet jums nepavyksta ar negalite jos įdiegti (ne jūsų asmeninis kompiuteris, OS „Windows“, neturite interneto namuose, darbinis nešiojamasis kompiuteris, ...), tuomet išbandykite mūsų [[Linux Genealogy CD|Linux genealogijos CD]]. Jis pasileidžia be diegimo į kompiuterį ir turi pilną įvairių (atviro kodo, nemokamų) genealogijos programų paketą. Yra galimybė iš šio kompaktinio disko įdiegti OS Linux [http://www.ubuntulinux.org/ Ubuntu 10.10] ir GRAMPS į kompiuterį bet kada, kai tik to panorėsite.
  
 
==Automatinis GRAMPS parsisiuntimas ir įdiegimas==
 
==Automatinis GRAMPS parsisiuntimas ir įdiegimas==
 
Prieš parsisiųsdami GRAMPS iš šios svetainės, pažiūrėkite, galbūt jūsų operacinės sistemos diegimo šaltiniuose (repository) jau yra naujausia programos versija. Naujausią stabilią GRAMPS versiją rasite [http://sourceforge.net/project/showfiles.php?group_id=25770&package_id=109309 GRAMPS stable on Sourceforge].
 
Prieš parsisiųsdami GRAMPS iš šios svetainės, pažiūrėkite, galbūt jūsų operacinės sistemos diegimo šaltiniuose (repository) jau yra naujausia programos versija. Naujausią stabilią GRAMPS versiją rasite [http://sourceforge.net/project/showfiles.php?group_id=25770&package_id=109309 GRAMPS stable on Sourceforge].
  
To check what is available specifically for your operating system some methods are listed below:
+
Žemiau nurodyti būdai programos atsisiuntimui ir diegimui konkrečioms operacinėms, naudojant komandinę eilutę:  
* Debian based systems (Ubuntu and it's variants, Mepis, ...): <code>
+
* Debian pagrindu sukurtos sistemos (Ubuntu ir jos variantai, Mepis, ...): <code>
   apt-get install gramps</code>
+
   sudo apt-get install gramps</code>
 
* Gentoo (ir Sabayon):<code>
 
* Gentoo (ir Sabayon):<code>
   emerge gramps </code>
+
   sudo emerge gramps </code>
 
* Mandriva: <code>
 
* Mandriva: <code>
   urpmi gramps</code>
+
   sudo urpmi gramps</code>
 
* Redhat pagrindu sukurtos sistemos (Fedora, CentOS...): <code>
 
* Redhat pagrindu sukurtos sistemos (Fedora, CentOS...): <code>
   yum install gramps</code>
+
   sudo yum install gramps</code>
 +
* OpenSUSE: <code>
 +
  sudo sudo zypper install gramps</code>
  
==Manual download and install of GRAMPS==
+
==Paprastas GRAMPS parsisiuntimas ir įdiegimas==
If you can't access the current version from your operating system's repositories you'll need to get it from this site. Some helpful users of GRAMPS have made packages for various systems. If you're lucky you'll find your system below. If it's missing you can contact the developers email list for advice.
+
GRAMPS geriausiai išbandyta ir pritaikyta Linux operacinėje sistemoje.
 +
Jeigu naujausios GRAMPS versijos nėra jūsų operacinės sistemos diegimo šaltiniuose (angl. repositories), galite programą parsisiųsti iš šios svetainės.   Kai kurie draugiški GRAMPS naudotojai sukūrė GRAMPS paketus skirtingoms operacinėms sistemoms (OS). Galbūt jūsų OS yra tarp žemiau išvardintų. Jei ne, bandykite susisiekti su programos kūrėjais el. paštu.  
  
* '''Ubuntu''' and derivatives (Kubuntu, Mephis, ...): Ubuntu packages are available on [http://sourceforge.net/project/showfiles.php?group_id=25770 GRAMPS download page].
+
* '''Ubuntu''' ir jos variantai (KUbuntu,XUbuntu,EdUbuntu), Mephis: Ubuntu paketai prieinami [http://sourceforge.net/projects/gramps/files/Stable/ GRAMPS download page].See [http://sourceforge.net/projects/gramps/files/OldFiles/ OldFiles] for archives.
** Intrepid Ibex (8.10) : download [http://downloads.sourceforge.net/gramps/gramps_3.1.1-1_Ubuntu810.deb?modtime=1228530730&big_mirror=0 gramps_3.1.1-1_Ubuntu810.deb]
+
* '''(Open)SuSE''': Richard Bos kuria GRAMPS paketus OpenSUSE sistemai. OpenSUSE 11.1 diegimo šaltinis (repository) [http://download.opensuse.org/repositories/Education/openSUSE_11.1/]. Atminkite, kad šis šaltinis nėra tas pats, kaip šaltinių sąraše nurodytas „Education“, tad jį reikia pridėti kaip URL. Diegimo šaltinis OpenSUSE 11.0 versijai yra [http://download.opensuse.org/repositories/Education/openSUSE_11.0/], o 10.3 versijai – [http://download.opensuse.org/repositories/Education/openSUSE_10.3/]. Jei turite senesnę OpenSUSE (10.2), žiūrėkite forumo įrašus tema [http://www.suseforums.net/index.php?s=22f80a050a1e3cffffd590db0813dea9&showtopic=28727&pid=152093&st=0&#entry152093 satisfying GRAMPS dependencies for SuSE with the ''rbos'' and SMART].
** Hardy (8.04) : download [http://downloads.sourceforge.net/gramps/gramps_3.1.1-1_Ubuntu804.deb?modtime=1228530730&big_mirror=0            gramps_3.1.1-1_Ubuntu804.deb]
+
* '''Mandriva''': Naujos GRAMPS versijos kartais yra ''backported''. Norint įdiegti ''backports'', reikia įjungti ''backports'' diegimo šaltinius (įsitikinkite, kad suprantate [http://wiki.mandriva.com/en/Docs/Basic_tasks/Installing_and_removing_software#Advanced_use:_Backports_and_candidate_updates Mandriva wiki] instrukcijas). Jei naujausios versijos nėra ''backports'' diegimo šaltiniuose, patikrinkite ''contrib'' repository.
** Gutsy (7.10) : download [http://sourceforge.net/project/showfiles.php?group_id=25770  gramps_3.0.3-1_ubuntu710.deb]
+
** Feisty (7.04) : download [http://sourceforge.net/project/showfiles.php?group_id=25770  gramps_2.2.10-1_all.deb]  and [http://sourceforge.net/project/showfiles.php?group_id=25770  gramps-help_2.2.10-1_all.deb] , and install with your package manager. Standard you could use the [http://packages.ubuntu.com/gutsy/admin/gdebi  gdebi] package.
+
** Dapper, Edgy and before: 2.2.10 is not available yet, for now download [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps_2.2.8-1dapper1_all.deb]  and [http://sourceforge.net/project/showfiles.php?group_id=25770 gramps-help_2.2.8-1dapper1_all.deb] , and install with your package manager.
+
* '''SuSE''': Richard Bos has been providing the GRAMPS releases for OpenSUSE. The repository for OpenSUSE 11.1 is available from [http://download.opensuse.org/repositories/Education/openSUSE_11.1/]. Note that at the time of writing this repository is not the same as that in the repository list as "Education" and must be added as a URL. The repository for 11.0 is [http://download.opensuse.org/repositories/Education/openSUSE_11.0/] and 10.3 is [http://download.opensuse.org/repositories/Education/openSUSE_10.3/]. For earlier versions of OpenSUSE (10.2) see the forum entry about [http://www.suseforums.net/index.php?s=22f80a050a1e3cffffd590db0813dea9&showtopic=28727&pid=152093&st=0&#entry152093 satisfying GRAMPS dependencies for SuSE with the ''rbos'' and SMART].
+
* '''Mandriva''': Newer versions of GRAMPS are sometimes backported. To install backports you must enable the ''backports'' repository (make sure you understand the instructions on the [http://wiki.mandriva.com/en/Docs/Basic_tasks/Installing_and_removing_software#Advanced_use:_Backports_and_candidate_updates Mandriva wiki]). If the latest version is not in the ''backports'' repository you cab try the ''contrib'' repository.
+
 
* '''Fedora''': For Fedora Core look on the [http://sourceforge.net/project/showfiles.php?group_id=25770 GRAMPS download page] for a package containing ''fc'' with your number and ending with ''.rpm''. The alternative to installing from source is to [[fedora rpm|build a package]] from an rpm spec file, or install a binary from fedora testing.
 
* '''Fedora''': For Fedora Core look on the [http://sourceforge.net/project/showfiles.php?group_id=25770 GRAMPS download page] for a package containing ''fc'' with your number and ending with ''.rpm''. The alternative to installing from source is to [[fedora rpm|build a package]] from an rpm spec file, or install a binary from fedora testing.
* '''Debian''': the latest version should be in the ''unstable'' repository ([http://packages.debian.org/sid/gramps Sid Gramps]) and can be upgraded from your package manager. The ''testing'' repository is updated 10 days later (except near a new stable release), see [http://packages.debian.org/lenny/gramps Lenny Gramps].
+
* '''Debian''': vėliausia programos versija gali būti randama ''unstable'' saugykloje (repository) ([http://packages.debian.org/sid/gramps Sid Gramps]) ir gali būti atnaujinta naudojantis jūsų paketų tvarkykle. ''Testing'' saugykla yra atnaujinama 10 dienų vėliau (išskyrus tada, kai artėja stabilios versijos pasirodymas), žr. [http://packages.debian.org/lenny/gramps Lenny Gramps].
  
''Note: Different GNU/Linux distributions have different preferred ways to download and install packages for GRAMPS. Please read the installation instructions specific to your distribution before downloading.''
+
''Atminkite: Kiekviena GNU/Linux atmaina (distribution) turi skirtingus būdus GRAMPS parsiuntimui ir diegimui. Daugiau informacijos ieškokite savo Linux žinyne.''
  
In all other cases, you must [http://sourceforge.net/project/showfiles.php?group_id=25770 download] the source package (the file ending with '.tar.gz') and install GRAMPS manually. See the section about installing from source for details.
+
Visais kitais atvejais, jūs galite [http://sourceforge.net/project/showfiles.php?group_id=25770 atsisiųsti] programos išeities kodą (bylos pavadinimo pabaiga „.tar.gz“) ir įsidiegti GRAMPS komandinėje eilutėje (terminale). Daugiau informacijos rasite sekcijoje „Diegimas iš išeities kodo“.
  
 
==Windows, BSD, Mac OS X, Solaris==
 
==Windows, BSD, Mac OS X, Solaris==
 
===Windows===
 
===Windows===
There is an experimental [[Windows installer]]. If this installer does not offer the most recent versions of GRAMPS in Windows, you need to wait until a new installer is made available.
+
[[Windows installer/lt|Windows diegyklė]] yra eksperimentinė programa. Jei siūloma diegyklė neatitinka naujausios GRAMPS versijos, palaukite, kol ši bus sukurta OS „MS Windows“.
For Windows user: See also some additional information on page [[GRAMPS and Windows]].
+
 
 +
„Windows“ naudotojams: žiūrėkite papildomą informaciją puslapyje [[Gramps and Windows/lt|Gramps ir OS „MS Windows“]].
  
 
===Mac OS X===
 
===Mac OS X===
For Mac OS X, both the [http://finkproject.org Fink project] and [http://macports.org MacPorts] have Gramps as a installable package. Fink currently has '''very''' old versions available it in the [http://pdb.finkproject.org/pdb/package.php/gramps# package database]. Detailed instructions on using both these systems to install recent versions of gramps are given under [[Mac_OS_X|Installing from source code on Mac OS X]]
+
Mac OS X skirtus GRAMPS diegimo paketus galite atsisiųsti [http://finkproject.org Fink project] arba [http://macports.org MacPorts]. Fink projekto saugomos '''ypač''' senos versijos prieinamos adresu [http://pdb.finkproject.org/pdb/package.php/gramps# package database]. Detalesnių diegimo nurodymo ieškokite čia: [[Mac_OS_X|Diegimas iš išeities kodo operacinėje sistemoje Mac OS X]]
  
===BSD and Solaris===
+
===BSD ir Solaris===
For BSD and Solaris there are experimental install instructions below. For FreeBSD use the [http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps /usr/ports/science/gramps] port.
+
BSD ir Solaris sistemos skirti diegimo žemiau pateikti nurodymai yra eksperimentinio pobūdžio. Apie naudojimą FreeBSD sistemoje, žiūrėkite [http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps /usr/ports/science/gramps] svetainėje.
  
==Gnome and KDE==
+
==Gnome ir KDE==
You can use both, but GRAMPS fits in better with GNOME. For KDE there are some minor issues due to some (GTK) issues outside of GRAMPS. Check the [[KDE page]] to know what these problems might be.
+
Jūs galite naudoti abi grafines sąsajas, bet GRAMPS labiau pritaikyta GNOME. KDE aplinkoje gali būti tam tikrų nesklandumų susijusių su GTK, tačiau ne pačia GRAMPS programa. [[KDE page | KDE puslapyje]] ieškokite aprašymo, kokie nesklandumai gali kilti.
Also, you might look at [http://portland.freedesktop.org/wiki/ XdgUtils].
+
Taip pat, žiūrėkite [http://portland.freedesktop.org/wiki/ XdgUtils].
  
==Additional software GRAMPS can benefit from==
+
==Papildoma programinė įranga, palengvinanti darbą su GRAMPS ==
GRAMPS does not rely on the following programs, however, having them will increase your productivity:
+
GRAMPS nesusijusi su sekančiomis programomis, tačiau jų įdiegimas gali padidinti darbo našumą:
  
* '''Spell checking''': Installing python-gnome2-extras and python-enchant provides the gtkspell module and the enchant module, which adds spell checking in the notes
+
* '''Spell checking''': python-gnome2-extras ir python-enchant siūlo gtkspell ir enchant modulius, kurie įgalina pastabų rašybos tikrinimą.
* '''Graphviz''', '''Inkscape''': Gramps can make nice Genealogical trees (relationship graphs). These are generated by the Graphviz package, which defines a code (dot), as well as programs to produce graphs (dotty, to be called from command line). This gives you as researcher most power over how your tree will look, but has a learning curve. Also, [https://gna.org/projects/kgraphviewer kgraphviewer] works fine with dot generated by GRAMPS. An alternative is to make a graphical report, converting the tree to an svg file, which you then can open/edit/refine in eg Inkscape.
+
* '''Graphviz''', '''Inkscape''': Gramps gali sukurti gražius genealoginius medžius (ryšių diagramas). Jiems sukurti reikalingas Graphviz pakatas, kuris aprašo kodą (dot), lygiai taip, kaip grafikus braižančios programos (dotty, iškviečiama komandinėje eilutėje). Tai leidžia jums, kaip tyrinėtojui, galingiausią įrankį giminės medžių peržiūrai, tačiau tam reikia įgūdžių. Arba jūs galite sukurti grafinę atskaitą sukurdami SVG bylą, kurią galėsite atverti/taisyti/tobulinti su, pvz., Inkscape.
* '''ttf-freefont''': Useful as a font that supports a large subset of the unicode and is a true type. This works well with both print and graphviz output.
+
* '''ttf-freefont''': naudingi unikodo šriftai. Gerai veikia tiek spausdinant, tiek įrašant bylas per graphviz.
* '''[http://portland.freedesktop.org/wiki/ XdgUtils]''' is a set of command line tools that assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
+
* '''[http://portland.freedesktop.org/wiki/ XdgUtils]''' komandinės eilutės įrankiai, kurie assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
 +
* '''[http://tilloy.net/dev/pyexiv2/overview.html pyexiv2]''' is a module that allows Gramps to read and write metadata embedded in image files.  It is used in the Metadata Viewer and Image Metadata gramplets.
  
Other packages might also be useful:
+
Kiti naudingi paketai:
  
* '''desktop-file-utils''': see list of programs to open a media file on right click on an image
+
* '''desktop-file-utils''': leidžia matyti sąrašą programų, kurios atveria media bylas, šias spraktelėjus dešiniu pelės klavišu.
  
==Installing from source==
+
==Diegimas iš išeities kodo==
===General Requirements===
+
===Reikalavimai sistemai===
  
GRAMPS 3.1 requires python 2.5 or greater, pygtk2 2.10 or greater, glade bindings and librsvg2
+
GRAMPS {{version}} reikalauja, kad būtų įdiegta: python 2.6 arba naujesnė versija, pygtk 2.16 arba naujesnė versija, ir librsvg2
  
==== Linux Package Requirements ====
+
==== Linux paketų priklausomybės ====
 
{|border="1" align ="center"
 
{|border="1" align ="center"
 
|-
 
|-
 
|Debian      /Ubuntu  
 
|Debian      /Ubuntu  
 
|Fedora      /Redhat
 
|Fedora      /Redhat
|Comment
+
|Pastaba
 
|-
 
|-
 
|python
 
|python
 
|python  
 
|python  
|Required (needs version 2.5 or later)
+
|Būtinas (2.6 arba vėlesnė versija)
 
|-
 
|-
 
|pygtk2
 
|pygtk2
 
|pygtk2
 
|pygtk2
|Required (needs 2.10 or greater)
+
|Būtinas (2.16 arba naujesnė versija)
 
|-
 
|-
 
|xdg-utils
 
|xdg-utils
 
|xdg-utils
 
|xdg-utils
|Required for Gramps-3.1.x or later
+
|Būtinas Gramps-3.1.x ir naujesnėms
 
|-
 
|-
 
|rcs
 
|rcs
 
|rcs
 
|rcs
|Suggested for running
+
|Naudingas dirbant
|-
+
|python-gnome2-extra
+
|
+
|Suggested for running (spell check)
+
|-
+
|python-enchant
+
|
+
|Suggested for running (spell check)
+
 
|-
 
|-
 
|librsvg2-common
 
|librsvg2-common
 
|librsvg2
 
|librsvg2
|Required for building
+
|Reikalinga kompiliuojant
 
|-
 
|-
 
|libglib2.0-dev
 
|libglib2.0-dev
 
|
 
|
|Required for building
+
|Reikalinga kompiliuojant
 
|-
 
|-
 
|
 
|
 
|librsvg2-devel
 
|librsvg2-devel
|Required for building
+
|Reikalinga kompiliuojant
|-
+
|
+
|gnome-common
+
|Required for building
+
 
|-
 
|-
 
|intltool
 
|intltool
 
|intltool
 
|intltool
|Required for building
+
|Reikalinga kompiliuojant
|-
+
|
+
|gnome-doc-utils
+
|Required for building
+
 
|-
 
|-
 
|
 
|
 
|gcc, make, gettext
 
|gcc, make, gettext
|Required for building
+
|Reikalingi kompiliuojant
 
|-
 
|-
 
|}
 
|}
  
===Obtaining the source===
+
===Programos išeities kodo gavimas===
  
* The latest stable version of GRAMPS can be downloaded from the [http://sourceforge.net/projects/gramps GRAMPS SourceForge page]. Eg: gramps-3.1.1.tar.gz. Extract this file into a directory:
+
* Naujausią stabilią GRAMPS versiją atsisiųskiti iš [http://sourceforge.net/projects/gramps GRAMPS SourceForge page]. Pavyzdžiui, gramps-{{version}}.tar.gz. Išskleiskite šią bylą į aplanką:
 
<code>
 
<code>
 
   tar xzvf gramps-zzz.tar.gz
 
   tar xzvf gramps-zzz.tar.gz
</code> and then go into this directory:<code>
+
</code> ir įeikite į šį aplanką:<code>
 
   cd gramps-zzz
 
   cd gramps-zzz
 
</code>
 
</code>
* If you are interested in testing out the very latest development versions of GRAMPS, they can be obtained from SVN, see [[Brief introduction to SVN]]. The SVN versions of GRAMPS are potentially very dangerous as they have not been extensively tested - especially the "trunk" version which contains features that may still be partly implemented. Be aware that they may be prone to crashing and cause extensive data loss. Please use with extreme caution - and only ever on a copy of your data!
+
* Jei norite išbandyti pačią naujausią kuriamą GRAMPS versiją, ją galite gauti iš SVN (žr. [[Brief introduction to SVN|Trumpas įvadas į SVN]]). SVN GRAMPS versijos diegimas gali kelti pavojų, kai ji nėra pakankamai išbandyta, o ypač tuomet, kai „trunk“ versija turinti tik iš dalies įgyvendintas galimybes. Atminkite, kad ši versija yra linkusi nulūžti ir jūs galite prarasti didžiulius savo duomenis. Prašome ją naudoti ypač atsargiai – dirbkite turėdami atsarginę duomenų kopiją!
  
Please, now is the time to read the [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/INSTALL?view=markup INSTALL] and [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/README?view=markup README] files accompanying the code. They come with the most recent information.
+
Dabar jau galite perskaityti bylas [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/INSTALL?view=markup INSTALL] ir [http://gramps.svn.sourceforge.net/viewvc/gramps/trunk/README?view=markup README], kurias rasite išeities kodo pagrindiniame aplanke. Jose pateikiama naujausia informacija.
  
===Dealing with earlier versions===
+
===Senesnių versijų šalinimas===  
  
If you have an older version of the GRAMPS source code installed you need to make a decision what you want to do with it before installing a later version. If you wish to keep the old version, make sure that you read the instructions in the INSTALL file regarding the use of the --prefix option to specify where the new version gets installed.
+
Jei jūs anksčiau jau kompiuteryje įdiegėte GRAMPS iš programos pradinio kodo, turite nuspręsti, ką darysite šia programa prieš diegdami naujesnę versiją. Jeigu norite išsaugoti senąją versiją, būtinai perskaitykite nurodymus INSTALL byloje apie „--prefix“ parinkties naudojimą nurodant naujos versijos diegimo aplanką.
  
Should you just want to do a straightforward replacement instead, make sure that you remove the older version before you install the new version. Do not install over the top of the old version. As new versions of Gramps are developed, some functionality is occasionally rewritten in different ways. If you install over the top of an existing installation you run the risk that the old code left behind from the old version may be used instead of the new, sometimes with unintended consequences. If you installed from source, the best way of removing the old version is to run<code>
+
Norėdami tiesiog pakeisti senąją versiją naujesne, pirmiausia pašalinkite senesniąją versiją prieš įdiegdami naująją versiją. Diegti naujesnę versiją „ant viršaus“ nepatartina. Kuriant naujas GRAMPS versijas, kai kurios funkcijos gali būti parašytos kitais būdais. Diegiant programą „ant viršaus“ (toje pačioje vietoje), kyla pavojus, kad senas kodas likęs iš senosios versijos gali būti naudojamas naujesnėje versijoje, kartais su nenumatytomis pasekmėmis. Diegiant iš pradinio programos kodo, geriausias būdas pašalinti senąją versiją yra komandinėje eilutėje įvykdyti<code>
 
   make uninstall</code>
 
   make uninstall</code>
  
as root '''from where you installed the old version'''. Use your distribution's package manager to uninstall if your old version was installed as a package.
+
administratoriaus (root) teisėmis '''iš to aplanko, iš kurio diegėte senesnę versiją'''. Naudokite savo operacinės sistemos pakatų tvarkyklę programos pašalinimui, jei senoji versija buvo įdiegta kaip paketas.
  
'''Note that you should use your old GRAMPS version to export backup copies to GRAMPS XML before removing the old version.'''
+
'''Atminkite, kad jūs turėtumėte pasinaudoję senąja GRAMPS versija eksportuoti duomenų kopiją GRAMPS XML formatu prieš pašalindami senesniąją versiją.'''
  
===Installing from source code on Linux===
+
===Diegimas iš išeities kodo operacinėje sistemoje Linux===
  
 
GRAMPS provides a script that can be used to prepare the code for building. This script automatically calls the standard configure script:<code>
 
GRAMPS provides a script that can be used to prepare the code for building. This script automatically calls the standard configure script:<code>
   ./autogen.sh  </code> as user
+
   ./autogen.sh  </code> kaip naudotojas
  
 
This script will report any missing dependencies. Install these (see also INSTALL file). Building from source code typically requires that the development versions of the required libraries be installed. You might consider setting a prefix path with autogen.sh, see the INSTALL file for instructions. Standard install is in /usr/local.
 
This script will report any missing dependencies. Install these (see also INSTALL file). Building from source code typically requires that the development versions of the required libraries be installed. You might consider setting a prefix path with autogen.sh, see the INSTALL file for instructions. Standard install is in /usr/local.
  
 
Once a successful run of autogen.sh has been completed, you can run the typical make procedure. <code>
 
Once a successful run of autogen.sh has been completed, you can run the typical make procedure. <code>
   make (as user)</code>
+
   make # (kaip naudotojas)</code>
  
 
then <code>
 
then <code>
   make install (as root) </code>
+
   make install # (kaip root) </code>
  
===Installing from source code on BSD===
+
===Diegimas iš išeities kodo operacinėje sistemoje BSD===
  
 
Installing on BSD is as straightforward as on Linux, apart from some minor issues like tools having different names. See the [[BSD page]] for details.
 
Installing on BSD is as straightforward as on Linux, apart from some minor issues like tools having different names. See the [[BSD page]] for details.
  
===Installing from source code on Mac OS X===
+
===Diegimas iš išeities kodo operacinėje sistemoje Mac OS X===
Version 3.0.1 has been successfully installed via fink, see: [[Mac OS X fink local]]
+
 
 +
There are several different ways of building Gramps from source on Mac OS X. An overview of building from source is given at [[Mac OS X:Build from source]].
 +
 
 +
[[Mac OS X:Build from source:MacPorts|Macports]] and [[Mac OS X:Build from source:fink|fink]] versions of Gramps have been used.
 +
 
 +
The latest version of MacPorts Gramps is '''{{version_MacPort}}'''.
 +
The latest official unstable fink version is '''3.0.4''' for Mac OS X 10.5 on both PPC and Intel.
 +
There is currently no official stable fink version of Gramps. (As at February 2012)
  
Some users have successfully installed GRAMPS on Mac OS X. See the [[Mac OS X]] page for details. Please, add to the wiki if you successfully installed GRAMPS on OS X.
+
Instructions for building the pre-built binary version (Mac OX X Application package) are given at [[Mac OS X:Build from source:Application package]]. Some discussion about earlier attempts is at [[Mac OS X:Build from source:gtk-osx]] with bugs reported at [[Mac OS X:Build from source:gtk-osx:bugs]]
  
===Installing from source code on Windows===
+
An older build approach is given at [[Mac OS X:Build from source:Native OS X]].
  
Fortunately for users of Microsoft Windows, some users have made a [[Windows installer]]. So far there have not been any reports of serious differences between the official builds of GRAMPS and the Windows Installer, so the future looks promising, but please, use this at your own risk.
+
===Diegimas iš išeities kodo operacinėje sistemoje Windows===
  
If the dependencies are in place, the development version can be tested by getting the source (see above), making a copy of the file const.py.in and rename it to const.py, then execute "python gramps.py" from within the src directory. Of course, this is a development version, so warnings apply even more to this case than when using the installer.  
+
„Microsoft Windows“ vartotojų laimei, kai kurie programos naudotojai sukurė [[Windows installer/lt|Windows diegyklę]]. Kol kas nebuvo pranešimų, kad oficiali GRAMPS versija ir jos „Windows“ modifikacija žymiai skirtųsi. Ateitis daug žadanti, tačiau „Windows diegyklę“ naudokite savo pačių atsakomybe. GRAMPS geriausiai pritaikyta Linux/UNIX tipo operacinėms sistemoms.
 +
 
 +
If the dependencies are in place, the development version can be tested by getting the source (see above), making a copy of the file const.py.in and rename it to const.py, then execute "python gramps.py" from within the src directory. Of course, this is a development version, so warnings apply even more to this case than when using the installer.
  
===Installing from source code on Solaris===
+
===Diegimas iš išeities kodo operacinėje sistemoje Solaris===
  
 
Version 3.0.1 has been successfully installed from source on both Solaris 10 (SPARC) and OpenSolaris X86 (2008.05). Please see the [[Solaris page]] for step-by-step details.
 
Version 3.0.1 has been successfully installed from source on both Solaris 10 (SPARC) and OpenSolaris X86 (2008.05). Please see the [[Solaris page]] for step-by-step details.

Latest revision as of 05:38, 24 March 2013

Live CD

Jei jus domina GRAMPS programa, bet jums nepavyksta ar negalite jos įdiegti (ne jūsų asmeninis kompiuteris, OS „Windows“, neturite interneto namuose, darbinis nešiojamasis kompiuteris, ...), tuomet išbandykite mūsų Linux genealogijos CD. Jis pasileidžia be diegimo į kompiuterį ir turi pilną įvairių (atviro kodo, nemokamų) genealogijos programų paketą. Yra galimybė iš šio kompaktinio disko įdiegti OS Linux Ubuntu 10.10 ir GRAMPS į kompiuterį bet kada, kai tik to panorėsite.

Automatinis GRAMPS parsisiuntimas ir įdiegimas

Prieš parsisiųsdami GRAMPS iš šios svetainės, pažiūrėkite, galbūt jūsų operacinės sistemos diegimo šaltiniuose (repository) jau yra naujausia programos versija. Naujausią stabilią GRAMPS versiją rasite GRAMPS stable on Sourceforge.

Žemiau nurodyti būdai programos atsisiuntimui ir diegimui konkrečioms operacinėms, naudojant komandinę eilutę:

  • Debian pagrindu sukurtos sistemos (Ubuntu ir jos variantai, Mepis, ...):
  sudo apt-get install gramps
  • Gentoo (ir Sabayon):
  sudo emerge gramps 
  • Mandriva:
  sudo urpmi gramps
  • Redhat pagrindu sukurtos sistemos (Fedora, CentOS...):
  sudo yum install gramps
  • OpenSUSE:
  sudo sudo zypper install gramps

Paprastas GRAMPS parsisiuntimas ir įdiegimas

GRAMPS geriausiai išbandyta ir pritaikyta Linux operacinėje sistemoje. Jeigu naujausios GRAMPS versijos nėra jūsų operacinės sistemos diegimo šaltiniuose (angl. repositories), galite programą parsisiųsti iš šios svetainės. Kai kurie draugiški GRAMPS naudotojai sukūrė GRAMPS paketus skirtingoms operacinėms sistemoms (OS). Galbūt jūsų OS yra tarp žemiau išvardintų. Jei ne, bandykite susisiekti su programos kūrėjais el. paštu.

  • Ubuntu ir jos variantai (KUbuntu,XUbuntu,EdUbuntu), Mephis: Ubuntu paketai prieinami GRAMPS download page.See OldFiles for archives.
  • (Open)SuSE: Richard Bos kuria GRAMPS paketus OpenSUSE sistemai. OpenSUSE 11.1 diegimo šaltinis (repository) [1]. Atminkite, kad šis šaltinis nėra tas pats, kaip šaltinių sąraše nurodytas „Education“, tad jį reikia pridėti kaip URL. Diegimo šaltinis OpenSUSE 11.0 versijai yra [2], o 10.3 versijai – [3]. Jei turite senesnę OpenSUSE (10.2), žiūrėkite forumo įrašus tema satisfying GRAMPS dependencies for SuSE with the rbos and SMART.
  • Mandriva: Naujos GRAMPS versijos kartais yra backported. Norint įdiegti backports, reikia įjungti backports diegimo šaltinius (įsitikinkite, kad suprantate Mandriva wiki instrukcijas). Jei naujausios versijos nėra backports diegimo šaltiniuose, patikrinkite contrib repository.
  • Fedora: For Fedora Core look on the GRAMPS download page for a package containing fc with your number and ending with .rpm. The alternative to installing from source is to build a package from an rpm spec file, or install a binary from fedora testing.
  • Debian: vėliausia programos versija gali būti randama unstable saugykloje (repository) (Sid Gramps) ir gali būti atnaujinta naudojantis jūsų paketų tvarkykle. Testing saugykla yra atnaujinama 10 dienų vėliau (išskyrus tada, kai artėja stabilios versijos pasirodymas), žr. Lenny Gramps.

Atminkite: Kiekviena GNU/Linux atmaina (distribution) turi skirtingus būdus GRAMPS parsiuntimui ir diegimui. Daugiau informacijos ieškokite savo Linux žinyne.

Visais kitais atvejais, jūs galite atsisiųsti programos išeities kodą (bylos pavadinimo pabaiga „.tar.gz“) ir įsidiegti GRAMPS komandinėje eilutėje (terminale). Daugiau informacijos rasite sekcijoje „Diegimas iš išeities kodo“.

Windows, BSD, Mac OS X, Solaris

Windows

Windows diegyklė yra eksperimentinė programa. Jei siūloma diegyklė neatitinka naujausios GRAMPS versijos, palaukite, kol ši bus sukurta OS „MS Windows“.

„Windows“ naudotojams: žiūrėkite papildomą informaciją puslapyje Gramps ir OS „MS Windows“.

Mac OS X

Mac OS X skirtus GRAMPS diegimo paketus galite atsisiųsti Fink project arba MacPorts. Fink projekto saugomos ypač senos versijos prieinamos adresu package database. Detalesnių diegimo nurodymo ieškokite čia: Diegimas iš išeities kodo operacinėje sistemoje Mac OS X

BSD ir Solaris

BSD ir Solaris sistemos skirti diegimo žemiau pateikti nurodymai yra eksperimentinio pobūdžio. Apie naudojimą FreeBSD sistemoje, žiūrėkite /usr/ports/science/gramps svetainėje.

Gnome ir KDE

Jūs galite naudoti abi grafines sąsajas, bet GRAMPS labiau pritaikyta GNOME. KDE aplinkoje gali būti tam tikrų nesklandumų susijusių su GTK, tačiau ne pačia GRAMPS programa. KDE puslapyje ieškokite aprašymo, kokie nesklandumai gali kilti. Taip pat, žiūrėkite XdgUtils.

Papildoma programinė įranga, palengvinanti darbą su GRAMPS

GRAMPS nesusijusi su sekančiomis programomis, tačiau jų įdiegimas gali padidinti darbo našumą:

  • Spell checking: python-gnome2-extras ir python-enchant siūlo gtkspell ir enchant modulius, kurie įgalina pastabų rašybos tikrinimą.
  • Graphviz, Inkscape: Gramps gali sukurti gražius genealoginius medžius (ryšių diagramas). Jiems sukurti reikalingas Graphviz pakatas, kuris aprašo kodą (dot), lygiai taip, kaip grafikus braižančios programos (dotty, iškviečiama komandinėje eilutėje). Tai leidžia jums, kaip tyrinėtojui, galingiausią įrankį giminės medžių peržiūrai, tačiau tam reikia įgūdžių. Arba jūs galite sukurti grafinę atskaitą sukurdami SVG bylą, kurią galėsite atverti/taisyti/tobulinti su, pvz., Inkscape.
  • ttf-freefont: naudingi unikodo šriftai. Gerai veikia tiek spausdinant, tiek įrašant bylas per graphviz.
  • XdgUtils komandinės eilutės įrankiai, kurie assist applications with a variety of desktop integration tasks. About half of the tools focus on tasks commonly required during the installation of a desktop application and the other half focuses on integration with the desktop environment while the application is running. Even if the desktop components of your application are limited to an installer, configuration or management tool, Xdg-utils provides you with an easy way to enhance the usage experience of your customers by improving the integration of these components in the user's environment.
  • pyexiv2 is a module that allows Gramps to read and write metadata embedded in image files. It is used in the Metadata Viewer and Image Metadata gramplets.

Kiti naudingi paketai:

  • desktop-file-utils: leidžia matyti sąrašą programų, kurios atveria media bylas, šias spraktelėjus dešiniu pelės klavišu.

Diegimas iš išeities kodo

Reikalavimai sistemai

GRAMPS 4.1.2 reikalauja, kad būtų įdiegta: python 2.6 arba naujesnė versija, pygtk 2.16 arba naujesnė versija, ir librsvg2

Linux paketų priklausomybės

Debian /Ubuntu Fedora /Redhat Pastaba
python python Būtinas (2.6 arba vėlesnė versija)
pygtk2 pygtk2 Būtinas (2.16 arba naujesnė versija)
xdg-utils xdg-utils Būtinas Gramps-3.1.x ir naujesnėms
rcs rcs Naudingas dirbant
librsvg2-common librsvg2 Reikalinga kompiliuojant
libglib2.0-dev Reikalinga kompiliuojant
librsvg2-devel Reikalinga kompiliuojant
intltool intltool Reikalinga kompiliuojant
gcc, make, gettext Reikalingi kompiliuojant

Programos išeities kodo gavimas

  • Naujausią stabilią GRAMPS versiją atsisiųskiti iš GRAMPS SourceForge page. Pavyzdžiui, gramps-4.1.2.tar.gz. Išskleiskite šią bylą į aplanką:

  tar xzvf gramps-zzz.tar.gz

ir įeikite į šį aplanką:

  cd gramps-zzz

  • Jei norite išbandyti pačią naujausią kuriamą GRAMPS versiją, ją galite gauti iš SVN (žr. Trumpas įvadas į SVN). SVN GRAMPS versijos diegimas gali kelti pavojų, kai ji nėra pakankamai išbandyta, o ypač tuomet, kai „trunk“ versija turinti tik iš dalies įgyvendintas galimybes. Atminkite, kad ši versija yra linkusi nulūžti ir jūs galite prarasti didžiulius savo duomenis. Prašome ją naudoti ypač atsargiai – dirbkite turėdami atsarginę duomenų kopiją!

Dabar jau galite perskaityti bylas INSTALL ir README, kurias rasite išeities kodo pagrindiniame aplanke. Jose pateikiama naujausia informacija.

Senesnių versijų šalinimas

Jei jūs anksčiau jau kompiuteryje įdiegėte GRAMPS iš programos pradinio kodo, turite nuspręsti, ką darysite šia programa prieš diegdami naujesnę versiją. Jeigu norite išsaugoti senąją versiją, būtinai perskaitykite nurodymus INSTALL byloje apie „--prefix“ parinkties naudojimą nurodant naujos versijos diegimo aplanką.

Norėdami tiesiog pakeisti senąją versiją naujesne, pirmiausia pašalinkite senesniąją versiją prieš įdiegdami naująją versiją. Diegti naujesnę versiją „ant viršaus“ nepatartina. Kuriant naujas GRAMPS versijas, kai kurios funkcijos gali būti parašytos kitais būdais. Diegiant programą „ant viršaus“ (toje pačioje vietoje), kyla pavojus, kad senas kodas likęs iš senosios versijos gali būti naudojamas naujesnėje versijoje, kartais su nenumatytomis pasekmėmis. Diegiant iš pradinio programos kodo, geriausias būdas pašalinti senąją versiją yra komandinėje eilutėje įvykdyti

 make uninstall

administratoriaus (root) teisėmis iš to aplanko, iš kurio diegėte senesnę versiją. Naudokite savo operacinės sistemos pakatų tvarkyklę programos pašalinimui, jei senoji versija buvo įdiegta kaip paketas.

Atminkite, kad jūs turėtumėte pasinaudoję senąja GRAMPS versija eksportuoti duomenų kopiją GRAMPS XML formatu prieš pašalindami senesniąją versiją.

Diegimas iš išeities kodo operacinėje sistemoje Linux

GRAMPS provides a script that can be used to prepare the code for building. This script automatically calls the standard configure script:

 ./autogen.sh   kaip naudotojas

This script will report any missing dependencies. Install these (see also INSTALL file). Building from source code typically requires that the development versions of the required libraries be installed. You might consider setting a prefix path with autogen.sh, see the INSTALL file for instructions. Standard install is in /usr/local.

Once a successful run of autogen.sh has been completed, you can run the typical make procedure.

 make # (kaip naudotojas)

then

 make install # (kaip root) 

Diegimas iš išeities kodo operacinėje sistemoje BSD

Installing on BSD is as straightforward as on Linux, apart from some minor issues like tools having different names. See the BSD page for details.

Diegimas iš išeities kodo operacinėje sistemoje Mac OS X

There are several different ways of building Gramps from source on Mac OS X. An overview of building from source is given at Mac OS X:Build from source.

Macports and fink versions of Gramps have been used.

The latest version of MacPorts Gramps is 3.4.8. The latest official unstable fink version is 3.0.4 for Mac OS X 10.5 on both PPC and Intel. There is currently no official stable fink version of Gramps. (As at February 2012)

Instructions for building the pre-built binary version (Mac OX X Application package) are given at Mac OS X:Build from source:Application package. Some discussion about earlier attempts is at Mac OS X:Build from source:gtk-osx with bugs reported at Mac OS X:Build from source:gtk-osx:bugs

An older build approach is given at Mac OS X:Build from source:Native OS X.

Diegimas iš išeities kodo operacinėje sistemoje Windows

„Microsoft Windows“ vartotojų laimei, kai kurie programos naudotojai sukurė Windows diegyklę. Kol kas nebuvo pranešimų, kad oficiali GRAMPS versija ir jos „Windows“ modifikacija žymiai skirtųsi. Ateitis daug žadanti, tačiau „Windows diegyklę“ naudokite savo pačių atsakomybe. GRAMPS geriausiai pritaikyta Linux/UNIX tipo operacinėms sistemoms.

If the dependencies are in place, the development version can be tested by getting the source (see above), making a copy of the file const.py.in and rename it to const.py, then execute "python gramps.py" from within the src directory. Of course, this is a development version, so warnings apply even more to this case than when using the installer.

Diegimas iš išeities kodo operacinėje sistemoje Solaris

Version 3.0.1 has been successfully installed from source on both Solaris 10 (SPARC) and OpenSolaris X86 (2008.05). Please see the Solaris page for step-by-step details.

GRAMPS on handhelds

GRAMPS can run fine on some small-factor devices. Users have been successful in using GRAMPS on: